Subject: bug#33260: closed (Re: bug#33260: [Shepherd] ERROR: In procedure stat: No such file or directory: "/run/user/30011/shepherd)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Nov 2018 21:30:04 +0000

Your bug report

#33260: [Shepherd] ERROR: In procedure stat: No such file or directory: "/run/user/30011/shepherd

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33260
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33260: [Shepherd] ERROR: In procedure stat: No such file or directory: "/run/user/30011/shepherd
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: swedebugia <[email-masked]>, [email-masked]
Date: Wed, 14 Nov 2018 22:29:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Marius Bakke <[email-masked]> skribis:
>
>> It is kind of documented under the '--socket' option of Shepherd:
>>
>> https://www.gnu.org/software/shepherd/manual/shepherd.html
>>
>> Perhaps a footnote to the /run/user/uid part could be added along these
>> lines:
>>
>> "On GNU/Linux systems, this directory is typically created by a login
>> manager such as elogind or systemd."
>
> I did that in Shepherd commit 02ff984f78efbc78509a8a2c22c84c3574bf4419.
> I suppose we can consider the bug closed?

That was fast, thanks!  LGTM, closing the issue.

Subject: [Shepherd] ERROR: In procedure stat: No such file or directory: "/run/user/30011/shepherd
From: swedebugia <[email-masked]>
To: [email-masked]
Date: Sun, 4 Nov 2018 23:34:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In a VM with GuixSD I did:

$ shepherd
Backtrace:
            3 (primitive-load "/run/current-system/profile/bin/shephe…")
In shepherd.scm:
     164:9  2 (main . _)
In shepherd/support.scm:
    396:20  1 (verify-dir _ #:secure? _)
In unknown file:
            0 (stat "/run/user/30011/shepherd" #<undefined>)

ERROR: In procedure stat:
In procedure stat: No such file or directory: "/run/user/30011/shepherd"

$ shepherd --version
shepherd (GNU Shepherd) 0.4.0
Copyright (C) 2018 the Shepherd authors
License GPLv3+: GNU GPL version 3 or later 
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

$ echo $PATH
/run/setuid-programs:/home/sdb/.config/guix/current/bin:/home/sdb/.guix-profile/bin:/run/current-system/profile/bin:/run/current-system/profile/sbin
sdb@komputilo ~$ which shepherd
/run/current-system/profile/bin/shepherd
sdb@komputilo ~$ ls $(which shepherd)
/run/current-system/profile/bin/shepherd
sdb@komputilo ~$ ls -l $(which shepherd)
lrwxrwxrwx 2 root root 71 Jan  1  1970 
/run/current-system/profile/bin/shepherd -> 
/gnu/store/fwc1nkcc0hfyr1d9snpbvfss4pz4ycrw-shepherd-0.4.0/bin/shepherd

$ guix --version
guix (GNU Guix) 0.15.0
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later 
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Root env can be supplied on request but does not fail.

-- 
Cheers
Swedebugia